#!/bin/sh

set -e # Exit on error
set -x # Print commands
set -u # Error on undefined variables

# Dump the photoprism DB
mysqldump $PHOTOPRISM_DATABASE_NAME --host=$PHOTOPRISM_DATABASE_SERVER --user=$PHOTOPRISM_DATABASE_USER --password=$PHOTOPRISM_DATABASE_PASSWORD --result-file=/photoprism/db_dump.sql

# Perform the backup, including DB and originals folder (if mounted)
/usr/bin/restic backup -q --host $RESTIC_HOSTNAME /photoprism

# Remove the DB dump
rm /photoprism/db_dump.sql

# Prune old backups
/usr/bin/restic forget -q --host $RESTIC_HOSTNAME --keep-daily 7 --keep-weekly 4 --keep-monthly 6 --prune
